package com.yunzhi.training.mapper;

import com.yunzhi.training.entity.TaAnswer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 问题答案 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaAnswerMapper extends BaseMapper<TaAnswer> {

    List<TaAnswer> getAllAnswers(@Param("queId") String queId);
}
