package com.yunzhi.training.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaFavorites;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.training.vo.FavoriteTarget;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 我的收藏 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-22
 */
@Mapper
public interface TaFavoritesMapper extends BaseMapper<TaFavorites> {

    IPage<FavoriteTarget> getMyFavorites(IPage<FavoriteTarget> pg, @Param("personId") String personId);

    TaFavorites getByPerson(@Param("targetType") String targetType, @Param("targetId") String targetId, @Param("personId") String personId);
}
