package com.yunzhi.training.mapper;

import com.yunzhi.training.entity.TaQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 问卷问题 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaQuestionMapper extends BaseMapper<TaQuestion> {

    List<TaQuestion> getByQueID(@Param("queId") String queId, @Param("normal") boolean normal);

    int updateSortByIncrement(@Param("queId") String queId, @Param("from") Integer from, @Param("to") Integer to, @Param("increment") Integer increment);

    int updateSortDirect(@Param("queId") String queId, @Param("from") Integer from, @Param("to") Integer to);
}
