package com.yunzhi.training.mapper;

import com.yunzhi.training.entity.TaSignPlain;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 预签到人员 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaSignPlainMapper extends BaseMapper<TaSignPlain> {

    int deleteBySignId(@Param("signId") String signId);

    Map<String, Long> checkPersonSignAllow(@Param("phone") String phone, @Param("signId") String signId);
}
