package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaCourse;
import com.yunzhi.training.mapper.TaCourseMapper;
import com.yunzhi.training.service.ITaCourseService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 课程表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaCourseServiceImpl extends BaseServiceImpl<TaCourseMapper, TaCourse> implements ITaCourseService {

    @Override
    public IPage<TaCourse> getPagedBy(IPage<TaCourse> pg, String client, String title, LocalDateTime start, LocalDateTime end) {
        return baseMapper.getPagedBy(pg, client, title, start, end);
    }
}
