package com.yunzhi.training.mapper;

import com.yunzhi.training.entity.TaSignIn;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.training.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 签到主表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaSignInMapper extends BaseMapper<TaSignIn> {

    int addNum(@Param("signId") String signId, @Param("n") int n);

    List<ChartParam> getRatio();

    int updateTotalNum(@Param("signId") String signId);

    List<ChartParam> getRatioByTerm();

    List<ChartParam> signRatioByDaily(@Param("start") String start, @Param("days") Integer days);

    List<ChartParam> signRatioByMonthly(@Param("start") String start, @Param("num") Integer num);
}
