package com.yunzhi.training.mapper;

import com.yunzhi.training.entity.TaSignPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 人员签到表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaSignPersonMapper extends BaseMapper<TaSignPerson> {

    TaSignPerson getSignRecord(@Param("phone") String phone,
                               @Param("signId") String signId);
}
