package com.yunzhi.training.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaFavorites;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.training.vo.FavoriteTarget;

/**
 * <p>
 * 我的收藏 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-02-22
 */
public interface ITaFavoritesService extends IService<TaFavorites> {

    IPage<FavoriteTarget> getMyFavorites(IPage<FavoriteTarget> pg, String personId);

    TaFavorites getByPerson(String targetType, String targetId, String personId);
}
