package com.yunzhi.training.service;

import com.yunzhi.training.entity.TaSignClass;
import com.yunzhi.training.entity.TaSignIn;
import com.yunzhi.training.vo.ChartParam;

import java.util.List;

/**
 * <p>
 * 签到主表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
public interface ITaSignInService extends IBaseService<TaSignIn> {

    List<ChartParam> getRatio();

    boolean updateTotalNum(String signId);

    List<ChartParam> getRatioByTerm();

    List<ChartParam> signRatioByDaily(String start, Integer days);

    List<ChartParam> signRatioByMonthly(String start, Integer num);
}
