package com.yunzhi.training.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaStudent;
import com.yunzhi.training.vo.ChartParam;

import java.util.List;

/**
 * <p>
 * 学员表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
public interface ITaStudentService extends IBaseService<TaStudent> {

    IPage<TaStudent> getPageBy(IPage<TaStudent> pg, String termId, String classId, String name, String phone);

    long countALL();

    List<ChartParam> countByTerm();

    List<ChartParam> countByClass(String termId);

    List<ChartParam> countByAge(String termId);
}
