package com.yunzhi.training.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaFavorites;
import com.yunzhi.training.mapper.TaFavoritesMapper;
import com.yunzhi.training.service.ITaFavoritesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.training.vo.FavoriteTarget;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 我的收藏 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-22
 */
@Service
public class TaFavoritesServiceImpl extends ServiceImpl<TaFavoritesMapper, TaFavorites> implements ITaFavoritesService {

    @Override
    public IPage<FavoriteTarget> getMyFavorites(IPage<FavoriteTarget> pg, String personId) {
        return baseMapper.getMyFavorites(pg, personId);
    }

    @Override
    public TaFavorites getByPerson(String targetType, String targetId, String personId) {
        return baseMapper.getByPerson(targetType, targetId, personId);
    }
}
