package com.yunzhi.training.service.impl;

import com.yunzhi.training.entity.TaQuestion;
import com.yunzhi.training.mapper.TaQuestionMapper;
import com.yunzhi.training.service.ITaQuestionService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 问卷问题 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Service
public class TaQuestionServiceImpl extends BaseServiceImpl<TaQuestionMapper, TaQuestion> implements ITaQuestionService {

    @Override
    public boolean changeSort(String queId, Integer from, Integer to) {
        Integer increment = from > to ? 1 : -1;
        baseMapper.updateSortByIncrement(queId, from, to, increment);

        baseMapper.updateSortDirect(queId, from, to);

        return true;
    }
}
